Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FS#4149 - binutils: unable to build toolchain with v2.37 #9240

Closed
openwrt-bot opened this issue Nov 22, 2021 · 1 comment
Closed

FS#4149 - binutils: unable to build toolchain with v2.37 #9240

openwrt-bot opened this issue Nov 22, 2021 · 1 comment
Labels

Comments

@openwrt-bot
Copy link

@openwrt-bot openwrt-bot commented Nov 22, 2021

darksky4:

Summary:
Building from master for ipq806x or for ramips targets on Arch Linux results getting a fatal error building the toolchain occurring on binutils. The bug has been [[https://www.mail-archive.com/openwrt-devel@lists.openwrt.org/msg60473.html|reported and confirmed]] by other users. Additionally, it has been [[https://sourceware.org/bugzilla/show_bug.cgi?id=28545|reported against binutils]] upstream.

[[https://zerobin.net/?19f71635c5df7d1e#G9J+XMR61qyNcZmNJziusjv9IYAlJebJrQxedoNR7Xo=|Here]] is a sample output trying to build on my machine.

Proposed action:
Revert [[https://github.com/openwrt/openwrt/commit/0097899da79f1140c66fa820be31005c89933a0e#diff-c6930ba7b28bccd686aad018483f08b22dda77e6eb6847bcda771e820edc7e0e|this commit]] to binutils updating it from 2.35.2 to 2.37 until the issue is fixed. Doing this restores functionality.

@openwrt-bot
Copy link
Author

@openwrt-bot openwrt-bot commented Feb 7, 2022

darksky4:

This has been fixed, safe to close.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Projects
None yet
Development

No branches or pull requests

1 participant